<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Spatie\Permission\Contracts\Role;
use Spatie\Permission\Models\Role as ModelsRole;

class UserRoleSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        ModelsRole::updateOrCreate(
            ['name'=> 'Super Administrator'],
            ['name'=> 'Super Administrator'],
        );
        ModelsRole::updateOrCreate(
            ['name'=> 'Tenaga Kependidikan'],
            ['name'=> 'Tenaga Kependidikan']
        );
        ModelsRole::updateOrCreate(
            ['name'=> 'Dosen'],
            ['name'=> 'Dosen']
        );
        ModelsRole::updateOrCreate(
            ['name'=> 'Operator Akademik'],
            ['name'=> 'Operator Akademik']
        );
    }
}
